Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.util
Class DiscontinuousAssociationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.fop.complexscripts.util.DiscontinuousAssociationException

All Implemented Interfaces:
  java.io.Serializable

    public class DiscontinuousAssociationException

extends java.lang.RuntimeException

Exception thrown during when attempting to map glyphs to associated characters in the case that the associated characters do not represent a compact interval.

This work was originally authored by Glenn Adams (gadams@apache.org).

See Also:
  Serialized Form

Constructor Summary
`DiscontinuousAssociationException()` Instantiate discontinuous association exception
`DiscontinuousAssociationException(java.lang.String message)` Instantiate discontinuous association exception

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscontinuousAssociationException

    public DiscontinuousAssociationException()

  Instantiate discontinuous association exception

### DiscontinuousAssociationException

    public DiscontinuousAssociationException(java.lang.String message)

  Instantiate discontinuous association exception

  Parameters:
    `message` - a message string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.